Bug 44875 - New check `check_notifier_replication.py`
New check `check_notifier_replication.py`
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: UMC - System diagnostic
UCS 4.2
Other Linux
: P5 enhancement (vote)
: UCS 4.2-2-errata
Assigned To: Lukas Oyen
Philipp Hahn
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-27 17:11 CEST by Lukas Oyen
Modified: 2017-09-20 15:03 CEST (History)
2 users (show)

See Also:
What kind of report is it?: Development Internal
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional):
Max CVSS v3 score:
best: Patch_Available+


Attachments
nt-diagnostic-listener-replication-421.patch (10.57 KB, patch)
2017-06-27 17:11 CEST, Lukas Oyen
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Lukas Oyen univentionstaff 2017-06-27 17:11:35 CEST
Created attachment 8973 [details]
nt-diagnostic-listener-replication-421.patch

Adds a new diagnostic check check_notifier_replication` which runs compares the UDN ID with the locally stored version. This is based on `check_ldap_replication.py` written by Julian Hupertz.
Comment 1 Lukas Oyen univentionstaff 2017-08-01 16:35:10 CEST
Committed in r81637 - r81639 (advisory r81649).
Comment 2 Philipp Hahn univentionstaff 2017-08-09 11:03:10 CEST
OK: r81637 r81638 r81639 r81649
OK: pkill -STOP -f univention-directory-listener
OK: systemctl stop univention-directory-notifier.service
OK: Link SDB

OK: univention-management-console-module-diagnostic.yaml
IGN: errata-announce -V --only univention-management-console-module-diagnostic.yaml
 [FAIL] changes.valid: Mismatching binary package version: 3.0.1-12A~4.2.0.201708081439 != 3.0.1-13A~4.2.0.201708091037
Comment 3 Erik Damrose univentionstaff 2017-09-20 15:03:59 CEST
<http://errata.software-univention.de/ucs/4.2/166.html>